﻿from tcaxPy import *

def tcaxPy_Init():
    global _Fs                  # 字体大小
    global _Font                # 我们将要创建的字体
    _Fs = GetVal(val_FontSize)  # 获取字体大小
    fontFileName = GetVal(val_FontFileName)     # 获取字体文件名
    faceID = GetVal(val_FaceID)                 # 获取字体Face序号
    spacing = GetVal(val_Spacing)               # 获取文字间隔
    spaceScale = GetVal(val_SpaceScale)         # 获取空格缩放比率
    color = MakeRGB(255, 255, 255)              # 字体颜色
    bord = 0                    # 字体边框厚度
    isOutline = False           # 只有边框
    _Font = InitFont(fontFileName, faceID, _Fs, spacing, spaceScale, color, bord, isOutline)        # 创建字体

def tcaxPy_Fin():
    FinFont(_Font)   # 销毁字体 释放内存

def tcaxPy_Main(_i, _j, _n, _start, _end, _elapk, _k, _x, _y, _a, _txt):

    ASS_BUF  = []        # 保存ASS特效
    TCAS_BUF = []        # 保存TCAS特效

    ##### 主要特效编写操作 #####

    # ASS Mask特效固定代码框架 开始
    dx = _x - int(_a / 2 + 0.5)
    dy = _y - int(_Fs / 2 + 0.5)
    outline = TextOutlineDraw(_Font, _txt, dx, dy)      # 获取该文字的ASS Draw绘图命令字符串
    ass_main(ASS_BUF, SubL(_start, _end), move(_x - 50, _y, _x, _y, 0, 5 * (_end - _start)) + clip(7, outline), _txt)       # clip(7, outline) 即为ASS Mask
    # ASS Mask特效固定代码框架 结束

    ##### 将结果返回给tcax进行处理 #####

    return (ASS_BUF, TCAS_BUF)



